Bug 84786 - OpenOffice 1.1.5 fails to build when LC_ALL is set
Summary: OpenOffice 1.1.5 fails to build when LC_ALL is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-11 08:00 UTC by achix mantzix
Modified: 2005-08-28 09:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description achix mantzix 2005-08-11 08:00:34 UTC
OpenOffice 1.1.5 fails to build when LC_ALL is set
to a UTF-8 locale, because tr(1) gets confused with multibyte chars.
Eg. some program/docs authors names in the sources are encoded,
using iso charsets. tr fails and the build terminates.

Fix: 

put 
setenv LANG C
setenv LC_ALL C 
in your ~/.cshrc
then
source ~/.cshrc
cd /usr/ports/editors/openoffice-1.1
make
How-To-Repeat: put 
setenv LANG el_GR.UTF-8
setenv LC_ALL el_GR.UTF-8
in your ~/.cshrc
and then 
cd /usr/ports/editors/openoffice-1.1
make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-12 09:28:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Maho Nakata freebsd_committer 2005-08-28 09:27:25 UTC
State Changed
From-To: open->closed

Committed, thanks!